收藏
回答

运维中心错误查询wx.getSetting is not a function

问题模块
API和组件

wx.getSetting is not a function 我查过其它贴子了,都说

错误提示:wx.getSetting is not a function;at App lifeCycleMethod onLaunch function

客户端版本:6.5.4、6.5.6、6.5.7

用户端的微信版本低了

但 wx.getSetting 基础库 1.2.0 开始支持 


而我已经在设置里设置了 基础库最低版本设置 为 1.5.0 了


为何还会出现这个问题的




最后一次编辑于  2017-12-26
回答关注问题邀请回答
收藏

3 个回答

  • 连胜
    连胜
    2018-04-23

    1楼正解,基础库最低版本支持,微信应该是使用SDKVersion来判断的,而这个值是从1.1.0才开始支持,之前的版本肯定会没办法判断了:


    2018-04-23
    赞同
    回复
  • 王雪菲
    王雪菲
    2018-01-12

    请问解决了吗?我也遇到了这个问题

    2018-01-12
    赞同
    回复
  • 牛
    2017-12-26

    基础库设置也需要一定版本才有效

    2017-12-26
    赞同
    回复